#include<bits/stdc++.h>
using namespace std;

int main(){
	int n,x,l_max,d_max,a;
	cin >> n >> x;
	l_max=x;
	d_max=x;
	for(int i=0;i<n;i++)
	{
		cin >> a;
		if(a<l_max) l_max=a;
		if(a>d_max) d_max=a;
	}
	if(abs(l_max-x)>(abs(d_max-x))) cout << abs(d_max-x)*2+abs(l_max-x) <<endl;
		else  cout << abs(l_max-x)*2+abs(d_max-x) <<endl;
}